Loading...
Searching...
No Matches
ContiguousOp< ValueT, PointWiseOp > Struct Template Reference

a wrapper struct used to avoid unnecessary computation of memory access from `Coord` when all offsets are guaranteed to be within the dense grid. More...

`#include <openvdb/tools/DenseSparseTools.h>`

## Public Types

using | DenseT = Dense< ValueT, openvdb::tools::LayoutZYX >

## Public Member Functions

| ContiguousOp (const PointWiseOp &op)
void | transform (DenseT &dense, openvdb::math::Coord &ijk, size_t size) const

## Public Attributes

const PointWiseOp | mOp

## Detailed Description

template<typename ValueT, typename PointWiseOp>
struct openvdb::v11_0::tools::ContiguousOp< ValueT, PointWiseOp >

a wrapper struct used to avoid unnecessary computation of memory access from `Coord` when all offsets are guaranteed to be within the dense grid.

## Member Typedef Documentation

## DenseT

template<typename ValueT , typename PointWiseOp >

using DenseT = Dense<ValueT, openvdb::tools::LayoutZYX>

## Constructor & Destructor Documentation

## ContiguousOp()

template<typename ValueT , typename PointWiseOp >

ContiguousOp | ( | const PointWiseOp & | op | ) |

inline

## Member Function Documentation

## transform()

template<typename ValueT , typename PointWiseOp >

void transform | ( | DenseT & | dense,
|  | openvdb::math::Coord & | ijk,
|  | size_t | size
| ) |  | const

inline

## Member Data Documentation

## mOp

template<typename ValueT , typename PointWiseOp >

const PointWiseOp mOp